pcl::visualization::ImageViewer::ExitCallback Struct Reference

`#include <pcl/visualization/image_viewer.h>`

Inheritance diagram for pcl::visualization::ImageViewer::ExitCallback:

## Public Member Functions

| ExitCallback ()
virtual void | Execute (vtkObject *, unsigned long event_id, void *)

## Static Public Member Functions

static ExitCallback * | New ()

## Public Attributes

ImageViewer * | window

## Detailed Description

Definition at line 948 of file image_viewer.h.

## Constructor & Destructor Documentation

pcl::visualization::ImageViewer::ExitCallback::ExitCallback | ( |  | ) |

inline

Definition at line 950 of file image_viewer.h.

## Member Function Documentation

virtual void pcl::visualization::ImageViewer::ExitCallback::Execute | ( | vtkObject * | ,
|  | unsigned long | event_id,
|  | void * |
| ) |  |

inline virtual

Definition at line 957 of file image_viewer.h.

static ExitCallback* pcl::visualization::ImageViewer::ExitCallback::New | ( |  | ) |

inline static

Definition at line 952 of file image_viewer.h.

## Member Data Documentation

ImageViewer* pcl::visualization::ImageViewer::ExitCallback::window

Definition at line 968 of file image_viewer.h.

The documentation for this struct was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/visualization/include/pcl/visualization/image_viewer.h